Debian Bug report logs - #368006
ITP: libtest-memory-cycle-perl -- Test::Memory::Cycle - Check for memory leaks and circular memory references

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dominique Dumont <domi@komarr.grenoble.hp.com>

Date: Fri, 19 May 2006 08:03:07 UTC

Owned by: Ryan Niebur <ryanryan52@gmail.com>

Severity: wishlist

Fixed in version libtest-memory-cycle-perl/1.04-1

Done: Ryan Niebur <ryanryan52@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#368006; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <domi@komarr.grenoble.hp.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominique Dumont <domi@komarr.grenoble.hp.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libtest-memory-cycle-perl -- Test::Memory::Cycle - Check for memory leaks and circular memory references
Date: Fri, 19 May 2006 09:55:37 +0200
Package: wnpp
Severity: wishlist


* Package name    : libtest-memory-cycle-perl
  Version         : 1.02
  Upstream Author : Andy Lester <andy@petdance.com>
* URL             : http://search.cpan.org/dist/Test-Memory-Cycle/
* License         : As perl itself (GPL or artistic)
  Programming Lang: Perl
  Description     : Check for memory leaks and circular memory references in perl unit tests

Hello

I've noticed this package which is very usefull for any serious perl
development.

>From the manpage:

    Perl's garbage collection has one big problem: Circular references
    can't get cleaned up. A circular reference can be as simple as two
    objects that refer to each other.
    
    Test::Memory::Cycle is built on top of Devel::Cycle to give you an
    easy way to check for these circular references.
    
    You can also use memory_cycle_exists() to make sure that you have
    a cycle where you expect to have one.

Note that this module depends on Devel::Cycle
(http://search.cpan.org/dist/Devel-Cycle/) which is not packaged by
debian.

Cheers

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-686-smp
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#368006; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <domi@komarr.grenoble.hp.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 368006@bugs.debian.org (full text, mbox):

From: Dominique Dumont <domi@komarr.grenoble.hp.com>
To: 368006@bugs.debian.org
Subject: Re: Bug#368006: Acknowledgement (RFP: libtest-memory-cycle-perl -- Test::Memory::Cycle - Check for memory leaks and circular memory references)
Date: Mon, 22 May 2006 17:10:40 +0200
Hello

Latest release of Devel::Cycle breaks Test::Memory::Cycle. See [1].

You may want to wait for next release of Devel::Cycle before trying to
package Test::Memory::Cycle.

Cheers

[1] http://rt.cpan.org//Ticket/Display.html?id=19414


-- 
Dominique Dumont 
"Delivering successful solutions requires giving people what they
need, not what they want." Kurt Bittner



Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dominique Dumont <domi@komarr.grenoble.hp.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 368006-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 368006-done@bugs.debian.org
Subject: WNPP bug closing
Date: Thu, 24 May 2007 11:59:57 -0600
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 368006
 stop

Further comments on the work done in the bug sent to
368006@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Bug reopened, originator not changed. Request was from Dominique Dumont <domi@komarr.gre.hp.com> to control@bugs.debian.org. (Fri, 25 May 2007 07:00:04 GMT) Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dominique Dumont <domi@komarr.grenoble.hp.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 368006-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 368006-done@bugs.debian.org
Subject: WNPP bug closing
Date: Sat, 24 May 2008 11:59:48 -0600
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 368006
 stop

Further comments on the work done in the bug sent to
368006@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug reopened, originator not changed. Request was from Dominique Dumont <dominique.dumont@hp.com> to control@bugs.debian.org. (Mon, 26 May 2008 07:09:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#368006; Package wnpp. (Wed, 11 Feb 2009 04:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 11 Feb 2009 04:54:02 GMT) Full text and rfc822 format available.

Message #29 received at 368006@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: control@bugs.debian.org
Cc: 368006@bugs.debian.org, 368006-submitter@bugs.debian.org
Subject: I'll package this.
Date: Tue, 10 Feb 2009 20:52:43 -0800
[Message part 1 (text/plain, inline)]
retitle 368006 ITP: libtest-memory-cycle-perl -- Test::Memory::Cycle - Check for memory leaks and circular memory references
owner 368006 !
thanks

I'll package it.

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `ITP: libtest-memory-cycle-perl -- Test::Memory::Cycle - Check for memory leaks and circular memory references' from `RFP: libtest-memory-cycle-perl -- Test::Memory::Cycle - Check for memory leaks and circular memory references'. Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Wed, 11 Feb 2009 04:54:04 GMT) Full text and rfc822 format available.

Owner recorded as Ryan Niebur <ryanryan52@gmail.com>. Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Wed, 11 Feb 2009 04:54:05 GMT) Full text and rfc822 format available.

Message sent on to Dominique Dumont <domi@komarr.grenoble.hp.com>:
Bug#368006. (Wed, 11 Feb 2009 04:54:06 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 12 Feb 2009 19:06:30 GMT) Full text and rfc822 format available.

Reply sent to Ryan Niebur <ryanryan52@gmail.com>:
You have taken responsibility. (Sat, 07 Mar 2009 18:48:06 GMT) Full text and rfc822 format available.

Notification sent to Dominique Dumont <domi@komarr.grenoble.hp.com>:
Bug acknowledged by developer. (Sat, 07 Mar 2009 18:48:06 GMT) Full text and rfc822 format available.

Message #43 received at 368006-close@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: 368006-close@bugs.debian.org
Subject: Bug#368006: fixed in libtest-memory-cycle-perl 1.04-1
Date: Sat, 07 Mar 2009 18:31:41 +0000
Source: libtest-memory-cycle-perl
Source-Version: 1.04-1

We believe that the bug you reported is fixed in the latest version of
libtest-memory-cycle-perl, which is due to be installed in the Debian FTP archive:

libtest-memory-cycle-perl_1.04-1.diff.gz
  to pool/main/libt/libtest-memory-cycle-perl/libtest-memory-cycle-perl_1.04-1.diff.gz
libtest-memory-cycle-perl_1.04-1.dsc
  to pool/main/libt/libtest-memory-cycle-perl/libtest-memory-cycle-perl_1.04-1.dsc
libtest-memory-cycle-perl_1.04-1_all.deb
  to pool/main/libt/libtest-memory-cycle-perl/libtest-memory-cycle-perl_1.04-1_all.deb
libtest-memory-cycle-perl_1.04.orig.tar.gz
  to pool/main/libt/libtest-memory-cycle-perl/libtest-memory-cycle-perl_1.04.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 368006@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Niebur <ryanryan52@gmail.com> (supplier of updated libtest-memory-cycle-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 10 Feb 2009 20:57:32 -0800
Source: libtest-memory-cycle-perl
Binary: libtest-memory-cycle-perl
Architecture: source all
Version: 1.04-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Ryan Niebur <ryanryan52@gmail.com>
Description: 
 libtest-memory-cycle-perl - Perl module that verifies code hasn't left circular references
Closes: 368006
Changes: 
 libtest-memory-cycle-perl (1.04-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #368006)
Checksums-Sha1: 
 f30365279d766b5c3d0f8a79e6a2cdb0021b9237 1498 libtest-memory-cycle-perl_1.04-1.dsc
 c451b49cd52ce5943a43efaf64bff877742c3e99 5128 libtest-memory-cycle-perl_1.04.orig.tar.gz
 9fd6917fe025a3353410c35766f1e779bedd689b 1492 libtest-memory-cycle-perl_1.04-1.diff.gz
 58f50c0128dd3b81197ec01cd39b2d6617d3e1ed 8030 libtest-memory-cycle-perl_1.04-1_all.deb
Checksums-Sha256: 
 cead9c7dc55966af6a9d6f08b3a44328904a7471d7c711b04a12d0c358ab0ef9 1498 libtest-memory-cycle-perl_1.04-1.dsc
 e5a65d2d001be8bf97ba64323d7c7b6936c84eefc18a30417dbd08591f221227 5128 libtest-memory-cycle-perl_1.04.orig.tar.gz
 7753ab809155ae3834ced4c76960fa0592708d770c4d08662fb185414c57c3a6 1492 libtest-memory-cycle-perl_1.04-1.diff.gz
 d5665c2569326a894184f8fd0457e308e43939790253a07676b88875cebeac85 8030 libtest-memory-cycle-perl_1.04-1_all.deb
Files: 
 b0515c4c4398936f86316ab0450ac080 1498 perl optional libtest-memory-cycle-perl_1.04-1.dsc
 0c51e09f6bc23676ca0112b1a95e129d 5128 perl optional libtest-memory-cycle-perl_1.04.orig.tar.gz
 b8777c125f33902b618070f89834ed58 1492 perl optional libtest-memory-cycle-perl_1.04-1.diff.gz
 dc0d58f10eb66b4ac821f01de5631a2c 8030 perl optional libtest-memory-cycle-perl_1.04-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmUODUACgkQOzKYnQDzz+RBkwCeNTktlsgZwDJD1qaR6uujdFAR
O5MAmgPcC531D3LqmnVU2Bftwg38SAUq
=xpDI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Apr 2009 07:26:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:58:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.